Subject: Re: [PATCH 1/2] Sysfs net class - infrastructure

From: Greg KH <[email-masked]>
Date: Thu, 15 May 2003 17:20:23 -0700

On Thu, May 15, 2003 at 04:27:17PM -0700, Stephen Hemminger wrote:
> +#ifdef CONFIG_NET_SYSFS

No, do not make this a config option.  sysfs is not a config option, and
no other subsystem has this kind of option.  It should always be enabled
so that userspace tools know it will always be present.

If we want to start worrying about CONFIG_TINY or something, then we can
possibly start to implement something like this.  But for now, no, the
overhead is very minimal (compared to something like SCSI for example.)

> +	/* statistics object */
> +	struct kobject		stats_kobj;

What is this needed for?  I don't remember seeing this in your previous
patches :)

thanks,

greg k-h